Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » 4DIAC - Framework for Distributed Industrial Automation and Control » Forte v1.9 with open62541 on RPI
Forte v1.9 with open62541 on RPI [message #1786683] Wed, 09 May 2018 09:24 Go to next message
Daniel Ng is currently offline Daniel NgFriend
Messages: 19
Registered: October 2017
Junior Member
Hello guys,

Was wondering if anybody had successfully compiled and tested forte v1.9.0 with open62541 v0.3 for the raspberry pi?

I've been trying to cross-compile from windows but that was unsuccessful. So I changed to ubuntu for cross-compilation which compiled successfully but now i face an error on the RPI. While trying to run forte on the RPI, I have the following message "./forte: /usr/lib/arm-linux-gnueabihf/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by ./forte)" but libstdc has already been installed.

I'm using raspbian based on Jessie Lite.

Thanks.

Regards,
Daniel
Re: Forte v1.9 with open62541 on RPI [message #1786698 is a reply to message #1786683] Wed, 09 May 2018 14:52 Go to previous messageGo to next message
Martin Melik-Merkumians is currently offline Martin Melik-MerkumiansFriend
Messages: 45
Registered: March 2016
Member
Hi,

you do need libstdc++ installed, libstc is a different library.

You could also try to compile direct on the Raspberry Pi to check if that works.

Best regards,
Martin
Re: Forte v1.9 with open62541 on RPI [message #1786716 is a reply to message #1786698] Wed, 09 May 2018 18:17 Go to previous messageGo to next message
Alois Zoitl is currently offline Alois ZoitlFriend
Messages: 632
Registered: January 2014
Senior Member
I think invoking sudo apt-get install libstdc++6 should solve this issue on the pi.
Re: Forte v1.9 with open62541 on RPI [message #1786739 is a reply to message #1786716] Thu, 10 May 2018 11:35 Go to previous messageGo to next message
Daniel Ng is currently offline Daniel NgFriend
Messages: 19
Registered: October 2017
Junior Member
Dear all,

libstdc++6 was already installed but it didn't work either for jessie.

I've managed to get forte to run now by changing the OS to Raspbian Stretch.

So... to carry on with the OPC-UA tutorial. I went about doing the flipflop app and I realise the monitoring function isn't working on the RPI. All the values show N/A. I replicated the same app on windows running forte as a localhost and monitoring works fine.

Did i miss out on any extra steps to activate monitoring for the RPI? I've double checked "FORTE_SUPPORT_MONITORING" for cmake options and its set to ON by default.

Monitoring used to work for me on forte v1.8.4 for the RPI. Can't remember if there was anything special that was needed to enable monitoring.

Thanks for the help!

Regards,
Daniel
Re: Forte v1.9 with open62541 on RPI [message #1786790 is a reply to message #1786739] Fri, 11 May 2018 15:26 Go to previous messageGo to next message
Alois Zoitl is currently offline Alois ZoitlFriend
Messages: 632
Registered: January 2014
Senior Member
when you are cross compiling you need to ensure that the cross environment usese the same library versions then your target system. Jesse and Stretch are quite appart and Ubuntu is always quite on the most recent lib versions. I assume that this was then the problem.

Regarding your monitoring issue: If you can deploy and have "FORTE_SUPPORT_MONITORING" enabled monitroing should work. I don't know of anything special.
Re: Forte v1.9 with open62541 on RPI [message #1786949 is a reply to message #1786790] Wed, 16 May 2018 08:49 Go to previous messageGo to next message
Daniel Ng is currently offline Daniel NgFriend
Messages: 19
Registered: October 2017
Junior Member
Dear Dr. Alois,

What I've done is to compile forte natively on the RPI right now.

I think there might be some issues for the monitoring mechanism on V1.9 for the RPI. I've tried compiling on both Jessie and Stretch Raspian, with and without the OPCUA library and it still shows up as N/A when i try to monitor remotely from a Win10 machine.

v1.8.4's monitoring works fine on both Jessie and Stretch.

Please let me know if there's anyway i can help to debug this.

Regards,
Daniel
Re: Forte v1.9 with open62541 on RPI [message #1786957 is a reply to message #1786949] Wed, 16 May 2018 11:26 Go to previous messageGo to next message
Alois Zoitl is currently offline Alois ZoitlFriend
Messages: 632
Registered: January 2014
Senior Member
Hi Daniel,

this is really strange. Thanks a lot for your offer in helping us to track this down.

Could you provide us a screenshot of your system configuration. Do you have two devices with the same ip configured in it? This is now a problem. Could you get us your .log file from your workspace?

Cheers,
Alois
Re: Forte v1.9 with open62541 on RPI [message #1787476 is a reply to message #1786957] Sat, 26 May 2018 05:34 Go to previous messageGo to next message
Daniel Ng is currently offline Daniel NgFriend
Messages: 19
Registered: October 2017
Junior Member
Dear Dr. Alois,

Sorry for the late reply. Attached are the details you requested.

There's only one RPI running on the same IP address. Seems like from the log, there is no viable address to monitor from but the application deployment to the RPI is actually successful as i could see those OPCUA variables from UaExpert.

Regards,
Daniel
Re: Forte v1.9 with open62541 on RPI [message #1787495 is a reply to message #1787476] Sat, 26 May 2018 19:20 Go to previous message
Alois Zoitl is currently offline Alois ZoitlFriend
Messages: 632
Registered: January 2014
Senior Member
Dear Daniel,

thanks for all the infos. I'm not sure how to interpret the log. But I see that you have a double quote at the end of your MGR_ID config value. This is an invalid value. It looks like that the deployment handles this more gracefully compared to the monitoring. Could you try to remove the double quote at the end and check if it is then working?

Cheers,
Alois
Previous Topic:Communication between WAGO 750-8202 PLC and RaspberryPi
Next Topic:FORTE Monitoring: no error message after giving invalid force value?
Goto Forum:
  


Current Time: Thu Sep 20 11:31:06 GMT 2018

Powered by FUDForum. Page generated in 0.03643 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top